package cn.reghao.autodop.dmaster.app.db.query.config;

import cn.reghao.autodop.dmaster.app.model.po.config.build.CompilerConfig;
import cn.reghao.jdkutil.db.BaseQuery;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * @author reghao
 * @date 2021-06-11 18:02:57
 */
public interface CompilerConfigQuery extends BaseQuery<CompilerConfig> {
    CompilerConfig findByName(String name);
    Page<CompilerConfig> findAll(Pageable pageable);
    List<CompilerConfig> findAllByIsDeleteFalse();
}
